import CoEuiInputNumber from '../../../components/14x/eui-input-number.js';
import EuiBasePage from './eui-base.po.js'

export default class EuiInputNumberPage extends EuiBasePage {

  constructor() {
    super();
  }
  inputNumberByIndex(index) {
    return new CoEuiInputNumber(this.mainContent).byIndex(index);
  }
  inputNumberFromSectionById(id) {
    return new CoEuiInputNumber(this.sectionById(id));
  }
  inputNumberFromSectionByIndex(id, index) {
    return new CoEuiInputNumber(this.sectionById(id)).byIndex(index);
  }
}


